.container {
    max-width: $website-width;
    padding: 0 1.5rem;
    margin: auto;
    overflow: hidden;
}

// Backgrounds
// .bg {
//     &-main {
//         background-color: $main-color;
//     }

//     &-light {
//         background-color: $light-color;
//     }

//     &-medium {
//         background-color: $medium-color;
//     }

//     &-dark {
//         background-color: $dark-color;
//     }
// }


// Buttons
%btn-shared {
    display: inline-block;
    padding: 0.8rem 2rem;
    transition: all 0.5s;
    border: none;
    cursor: pointer;
}

.btn {
    &-main {
        @extend %btn-shared;
        background-color: $main-color;
        color: $dark-color;
    }

    &-light {
        @extend %btn-shared;
        background-color: $light-color;
        color: $dark-color;
    }

    &-dark {
        @extend %btn-shared;
        background-color: $dark-color;
        color: $light-color;
    }
}

button[class^='btn-']:hover,
a[class^='btn-']:hover,
input[class^='btn-']:hover {
    opacity: 0.6;
}


// Text
.text-center {
    text-align: center;
}

.lead {
    font-size: 1.3rem;
    margin-bottom: 2rem;
}

.section-title {
    font-size: 2rem;
    font-weight: 100;
    text-transform: uppercase;
    display: block;
    padding-bottom: 0.5rem;
    text-align: center;
}

.bottom-line {
    height: 3px;
    width: 3rem;
    background-color: $main-color;
    display: block;
    margin: 1rem auto 1rem auto;
}


// Padding
.py {
    &-1 {
        padding: 1rem 0;
    }

    &-2 {
        padding: 2rem 0;
    }

    &-3 {
        padding: 3rem 0;
    }

    &-4 {
        padding: 4rem 0;
    }

    &-6 {
        padding: 6rem 0;
    }
}

// Margin
.my {
    &-1 {
        margin: 1rem 0;
    }

    &-2 {
        margin: 2rem 0;
    }

    &-3 {
        margin: 3rem 0;
    }
}